<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:alior="http://www.aliorbank.pl/xbrl/2024" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21" targetNamespace="http://www.aliorbank.pl/xbrl/2024" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd" namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd" namespace="http://www.xbrl.org/dtr/type/2020-01-21" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="Alior-2024-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="Alior-2024-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="Alior-2024-12-31_lab-pl.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="Alior-2024-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="Alior-2024-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-pl.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-pl.xml" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="SkonsolidowanyRachunekZyskowIStrat" roleURI="http://www.aliorbank.pl/xbrl/2024/roles/SkonsolidowanyRachunekZyskowIStrat">
        <link:definition>01 - Skonsolidowany rachunek zysków i strat</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SkonsolidowaneSprawozdanieZCalkowitychDochodow" roleURI="http://www.aliorbank.pl/xbrl/2024/roles/SkonsolidowaneSprawozdanieZCalkowitychDochodow">
        <link:definition>02 - Skonsolidowane sprawozdanie z całkowitych dochodów</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SkonsolidowaneSprawozdanieZSytuacjiFinansowej" roleURI="http://www.aliorbank.pl/xbrl/2024/roles/SkonsolidowaneSprawozdanieZSytuacjiFinansowej">
        <link:definition>03 - Skonsolidowane sprawozdanie z sytuacji finansowej</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SkonsolidowaneSprawozdanieZeZmianWKapitaleWlasnym" roleURI="http://www.aliorbank.pl/xbrl/2024/roles/SkonsolidowaneSprawozdanieZeZmianWKapitaleWlasnym">
        <link:definition>04 - Skonsolidowane sprawozdanie ze zmian w kapitale własnym</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SkonsolidowaneSprawozdanieZPrzeplywowPienieznych" roleURI="http://www.aliorbank.pl/xbrl/2024/roles/SkonsolidowaneSprawozdanieZPrzeplywowPienieznych">
        <link:definition>05 - Skonsolidowane sprawozdanie z przepływów pieniężnych</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://www.aliorbank.pl/xbrl/2024/roles/NotesAndMandatoryItems">
        <link:definition>06 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://www.aliorbank.pl/xbrl/2024/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="Alior_InterestRevenueForFinancialAssetsMeasuredAtFairValueThroughProfitOrLoss" xbrli:balance="credit" xbrli:periodType="duration" name="InterestRevenueForFinancialAssetsMeasuredAtFairValueThroughProfitOrLoss" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossAndNetForeignExchangeGainLoss" xbrli:balance="credit" xbrli:periodType="duration" name="GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossAndNetForeignExchangeGainLoss" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_GainLossArisingFromDerecognitionOfFinancialAssetsNotMeasuredAtFairValueThroughProfitOrLoss" xbrli:balance="credit" xbrli:periodType="duration" name="GainLossArisingFromDerecognitionOfFinancialAssetsNotMeasuredAtFairValueThroughProfitOrLoss" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xbrli:balance="credit" xbrli:periodType="duration" name="GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_LegalRiskOfForeignCurrencyMortgageLoansExpense" xbrli:balance="debit" xbrli:periodType="duration" name="LegalRiskOfForeignCurrencyMortgageLoansExpense" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_BankingTax" xbrli:balance="debit" xbrli:periodType="duration" name="BankingTax" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_InvestmentFinancialAssets" xbrli:balance="debit" xbrli:periodType="instant" name="InvestmentFinancialAssets" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_DebtFinancialAssetsMeasuredAtAmortisedCost" xbrli:balance="debit" xbrli:periodType="instant" name="DebtFinancialAssetsMeasuredAtAmortisedCost" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_PropertyPlantAndEquipmentAndRightOfUseAsset" xbrli:balance="debit" xbrli:periodType="instant" name="PropertyPlantAndEquipmentAndRightOfUseAsset" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_CurrentTaxAssetAndNetDeferredTaxAssets" xbrli:balance="debit" xbrli:periodType="instant" name="CurrentTaxAssetAndNetDeferredTaxAssets" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_LiabilitiesTowardsBanks" xbrli:balance="credit" xbrli:periodType="instant" name="LiabilitiesTowardsBanks" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_LiabilitiesTowardsCustomers" xbrli:balance="credit" xbrli:periodType="instant" name="LiabilitiesTowardsCustomers" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_CurrentAndDeferredTaxLiabilities" xbrli:balance="credit" xbrli:periodType="instant" name="CurrentAndDeferredTaxLiabilities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_OtherReservesGainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeGainsLossesOnCashFlowHedges" xbrli:balance="credit" xbrli:periodType="instant" name="OtherReservesGainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeGainsLossesOnCashFlowHedges" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_OtherCapital" xbrli:balance="credit" xbrli:periodType="instant" name="OtherCapital" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_OtherCapitalMember" xbrli:periodType="duration" abstract="true" name="OtherCapitalMember" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:domainItemType" />
  <xs:element id="Alior_OtherReservesGainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeGainsLossesOnCashFlowHedgesMember" xbrli:periodType="duration" abstract="true" name="OtherReservesGainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeGainsLossesOnCashFlowHedgesMember" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:domainItemType" />
  <xs:element id="Alior_InterestIncomeOperatingCashFlow" xbrli:balance="debit" xbrli:periodType="duration" name="InterestIncomeOperatingCashFlow" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_ProfitLossBeforeDecreasesIncreasesInBalanceSheetItems" xbrli:balance="debit" xbrli:periodType="duration" name="ProfitLossBeforeDecreasesIncreasesInBalanceSheetItems" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_AdjustmentForIncreaseDecreaseInLoansAndAdvances" xbrli:balance="credit" xbrli:periodType="duration" name="AdjustmentForIncreaseDecreaseInLoansAndAdvances" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_AdjustmentForIncreaseDecreaseInFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentForIncreaseDecreaseInFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_AdjustmentForIncreaseDecreaseInFinancialAssetsAtFairValueThroughProfitOrLoss" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentForIncreaseDecreaseInFinancialAssetsAtFairValueThroughProfitOrLoss" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_AdjustmentForIncreaseDecreaseInAssetsPledgedAsCollateral" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentForIncreaseDecreaseInAssetsPledgedAsCollateral" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_AdjustmentForDecreaseIncreaseInAssetsHeldForSale" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentForDecreaseIncreaseInAssetsHeldForSale" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_AdjustmentForIncreaseDecreaseInDeposits" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentForIncreaseDecreaseInDeposits" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_AdjustmentForIncreaseDecreaseInIssuedDebt" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentForIncreaseDecreaseInIssuedDebt" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_AdjustmentForIncreaseDecreaseInDerivativesHeldForHedging" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentForIncreaseDecreaseInDerivativesHeldForHedging" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_AdjustmentForShortTermLeasePayments" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentForShortTermLeasePayments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" xbrli:balance="debit" xbrli:periodType="duration" name="CashFlowsFromUsedInOperatingActivitiesBeforeTax" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_PurchaseOfFinancialAssetsAtAmortisedCost" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfFinancialAssetsAtAmortisedCost" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_ProceedsFromSalesOfFinancialAssetsAtAmortisedCost" xbrli:balance="debit" xbrli:periodType="duration" name="ProceedsFromSalesOfFinancialAssetsAtAmortisedCost" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_CashFlowsFromUsedInFinancingActivitiesOutflows" xbrli:balance="credit" xbrli:periodType="duration" name="CashFlowsFromUsedInFinancingActivitiesOutflows" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_RepaymentsOfSubordinatedLiabilitiesPrincipal" xbrli:balance="credit" xbrli:periodType="duration" name="RepaymentsOfSubordinatedLiabilitiesPrincipal" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_RepaymentsOfSubordinatedLiabilitiesInterest" xbrli:balance="credit" xbrli:periodType="duration" name="RepaymentsOfSubordinatedLiabilitiesInterest" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_LeasePaymentsPrincipal" xbrli:balance="credit" xbrli:periodType="duration" name="LeasePaymentsPrincipal" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_LeasePaymentsInterest" xbrli:balance="credit" xbrli:periodType="duration" name="LeasePaymentsInterest" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="Alior_CashFlowsFromUsedInFinancingActivitiesInflows" xbrli:balance="debit" xbrli:periodType="duration" name="CashFlowsFromUsedInFinancingActivitiesInflows" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
</xs:schema>